/*
Theme Name: the7dtchild
Author: Dream-Theme
Author URI: http://dream-theme.com/
Description: The7 is perfectly scalable, performance and SEO optimized, responsive, retina ready multipurpose WordPress theme. It will fit every site – big or small. From huge corporate portals to studio or personal sites – The7 will become a great foundation for your next project!
Version: 1.0.0
License: This WordPress theme is comprised of two parts: (1) The PHP code and integrated HTML are licensed under the GPL license as is WordPress itself.  You will find a copy of the license text in the same directory as this text file. Or you can read it here: http://wordpress.org/about/gpl/ (2) All other parts of the theme including, but not limited to the CSS code, images, and design are licensed according to the license purchased. Read about licensing details here: http://themeforest.net/licenses/regular_extended
Template: dt-the7
*/

/* -------------------------------------------------------------------------- */
/*                         //NOTE Media + Tastenkürzel                        */
/* -------------------------------------------------------------------------- */

/*

Farben

dunkelgrün
#004946


hellgrün
#96bb99



@media (max-width: 449px) {
    Handy klein
}

@media (min-width: 450px ) {
    Handy größer
}

@media (min-width: 600px ) {
    beginn der 1-Spaltigkeit statt 756
}

@media (min-width: 992px ) {

}

@media (min-width: 1500px ) {

}

________________________________________________________________________________
@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
	…
}
________________________________________________________________________________

*/

/*
Tastenkürzel um Kommentarblöcke zu erzeugen
*/

/* Shift + Alt + X */
/* -------------------------------------------------------------------------- */
/*                               Shift + Alt + X                              */
/* -------------------------------------------------------------------------- */

/* Alt + X */
/* --------------------------------- Alt + X -------------------------------- */

/* Alt + Y */
/* -------------------------------------------------------------------------- */

/* Strg + # */
/*  */

/* -------------------------------------------------------------------------- */
/*                                //NOTE Fonts                                */
/* -------------------------------------------------------------------------- */

/* roboto-100 - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 100;
  src:
    url("./fonts/roboto-v30-latin-100.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-100.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-300 - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 300;
  src:
    url("./fonts/roboto-v30-latin-300.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-300.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-regular - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  src:
    url("./fonts/roboto-v30-latin-regular.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-regular.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-500 - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 500;
  src:
    url("./fonts/roboto-v30-latin-500.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-500.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-700 - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  src:
    url("./fonts/roboto-v30-latin-700.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-700.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-900 - latin */
@font-face {
  font-display: swap;
  /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: "Roboto";
  font-style: normal;
  font-weight: 900;
  src:
    url("./fonts/roboto-v30-latin-900.woff2") format("woff2"),
    /* Chrome 36+, Opera 23+, Firefox 39+ */
      url("./fonts/roboto-v30-latin-900.woff") format("woff");
  /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* -------------------------------------------------------------------------- */
/* ------------------------------- Kontrolltag ------------------------------ */
/* nur aktivieren um zu kontrollieren das jede Class überschrieben wird */

/* 
* {
    font-size: 10px !important;
    color: blue !important;
} 
*/

/* -------------------------------------------------------------------------- */

body,
html {
  font-size: 14px;
}

@media screen and (min-width: 768px) {
  body,
  html {
    font-size: 16px;
  }
}

@media screen and (min-width: 1200px) {
  body,
  html {
    font-size: 18px;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Roboto";
  line-height: 1.3;
  margin: 0;
  padding: 0;
}

h1 {
  font-size: 1.85rem;
  font-weight: 600;
  letter-spacing: -0.75px;
}

h2 {
  font-size: 1.5rem;
  font-weight: 600;
}

h3 {
  font-size: 1.25rem;
  font-weight: 600;
}

h4,
h5,
h6 {
  font-size: 1.1rem;
  font-weight: 500;
}

a:link,
a:visited {
  color: #004946;
  font-weight: 300;
  text-decoration: none;
}

a:hover,
a:active {
  text-decoration: underline;
}

p,
li {
  font-family: "Roboto";
  font-weight: 300;
  font-size: 1.1rem;
  line-height: 1.45;
}

@media screen and (min-width: 768px) {
  p,
  li {
    line-height: 1.65;
  }
}

b,
strong {
  font-weight: 500;
}

/* immer Absatzabstand */
p,
p:last-child {
  margin-bottom: 0;
  padding-bottom: 1rem;
}

.spacer-m {
  padding-top: 1rem;
}

/* -------------------------------------------------------------------------- */
/*                            //NOTE The7 allgemein                           */
/* -------------------------------------------------------------------------- */

/* kein unterer Abstand von Editorelementen */
.wpb_button,
.wpb_content_element,
ul.wpb_thumbnails-fluid > li {
  margin-bottom: 0;
}

/* maximale Breite zentriert */
.conmaxwidth {
  max-width: 991px;
  margin: 0 auto;
}

.tcenter * {
  text-align: center;
}

/* -------------------------------------------------------------------------- */
/*                                 //NOTE Menü                                */
/* -------------------------------------------------------------------------- */

@media (min-width: 992px) {
  .branding a img,
  .branding img {
    width: auto;
    height: 50px;
  }
}

/* Menü oberste Ebene - Desktop */
.main-nav > li > a .menu-text {
  font-family: "Roboto";
  font-weight: 100;
}

/* Menü oberste Ebene - Mobil */
.mobile-main-nav li > a .menu-text {
  font-family: "Roboto";
  font-weight: 100;
}

/* Microwidgets im Menü */
.masthead .top-bar .mini-contacts,
.masthead .top-bar .mini-nav > ul:not(.mini-sub-nav) > li > a,
.masthead .top-bar .mini-login,
.masthead .top-bar .mini-login .submit,
.masthead .top-bar .mini-search .submit,
.masthead .top-bar .mini-search,
.masthead .top-bar .wc-ico-cart,
.masthead .top-bar .text-area,
.masthead .top-bar .customSelectInner {
  font-size: 0.75rem;
}

/* Desktop Menü */
.main-nav > li > a .menu-text {
  font-size: 1.2rem;
  line-height: 1.5;
}

/* mobiles Menü */
.mobile-main-nav li > a .menu-text {
  font-size: 1.2rem;
  line-height: 1.5;
}

.dt-mobile-header * {
  font-size: 1.2rem;
  line-height: 1.5;
}

/* -------------------------------------------------------------------------- */
/*                              //NOTE Startseite                             */
/* -------------------------------------------------------------------------- */

.startlayer {
  background-color: #004946;
  min-height: 100dvh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.startlayer img {
  max-height: 600px;
  max-width: 100%;
  width: auto;
  height: auto;
  display: block;
}

.kasten {
  padding: 1.25rem;
}

.kasten * {
  color: #ffffff;
    font-weight: 400;
}

.kasten h3 {
    font-size: 1.5;
        font-weight: 800;
}
.kasten bold,  .kasten strong {
        font-weight: 600;
}


@media (min-width: 768px) {
  .gleiche-kastenhoehe {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
  }

  .gleiche-kastenhoehe > .wpb_column {
    float: none;
    display: flex;
  }

  .gleiche-kastenhoehe > .wpb_column > .vc_column-inner {
    display: flex;
    width: 100%;
  }

  .gleiche-kastenhoehe > .wpb_column > .vc_column-inner > .wpb_wrapper {
    display: flex;
    width: 100%;
  }

  .gleiche-kastenhoehe .kasten {
    display: flex;
    width: 100%;
    height: 100%;
  }

  .gleiche-kastenhoehe .kasten > .wpb_wrapper {
    width: 100%;
  }
}

/* -------------------------------------------------------------------------- */
/*                              //NOTE OSM Karte                              */
/* -------------------------------------------------------------------------- */

#map-bg {
  overflow: hidden;
  position: relative;
  width: 100%;
  max-width: 100%;
  height: calc(100vh - 50px);
  z-index: 2;
}

@media (max-width: 768px) {
  #map-bg {
    height: calc(100vh - 100px);
  }
}


#map-bg img,
#map-bg picture {
  display: inline-block;
  box-sizing: content-box !important;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 50%;
  /*transform: scale(1.5);*/
}

.maplink1 {
  position: absolute;
  display: block;
  background-image: url("/wp-content/themes/dt-the7-child/images/maplink-oben.png");
  background-repeat: no-repeat;
  background-size: 70px 98px;
  width: 70px;
  height: 98px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 3;
}

@keyframes myAnim {
  0%,
  50%,
  100% {
    opacity: 1;
  }

  25%,
  75% {
    opacity: 0;
  }
}

.maplink2 {
  position: absolute;
  display: block;
  background-image: url("/wp-content/themes/dt-the7-child/images/maplink-unten.png");
  background-repeat: no-repeat;
  background-size: 70px 98px;
  width: 70px;
  height: 98px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 4;
  cursor: pointer !important;
  animation: myAnim 8s ease-in-out 0s infinite normal forwards;
}

.copymap-a {
  position: absolute;
  height: 25px;
  width: 100%;
  bottom: 5px;
  text-align: center;
  z-index: 99;
}

.copymap-i {
  padding: 2px 6px 2px 6px;
  font-size: 12px;
  color: #0f121c;
  background-color: rgba(255, 255, 255, 0.72);
}

@media (min-width: 992px) {
  .copymap-a {
    width: auto;
    right: 80px;
    text-align: right;
  }
}

@media (orientation: portrait) {
  img.map_quer {
    display: none !important;
  }
}

@media (orientation: landscape) {
  img.map_quer {
    display: block !important;
  }
}



.footerlast * {
  color: #ffffff !important;
  font-family: "Roboto";
  font-weight: 300;
  font-size: 1rem;
  line-height: 1.45;
}


.footerlast {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
    background-color: #004946;
  padding: 10px 60px 10px 60px;
  min-height: 40px;
}

.footerlast-left,
.footerlast-right {
  margin: 0;
}

.footerlast-right {
  display: flex;
  gap: 1rem;
}

.footerlast a {
  display: inline-block;
  margin: 0;
}

.footerlast p {
  margin: 0;
}

@media (max-width: 767px) {
  .footerlast {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 0.65rem;
      min-height: 100px;
        padding: 10px 0 10px 0;
  }

  .footerlast-right {
    flex-direction: column;
    align-items: center;
    gap: 0.45rem;
  }
}

/* -------------------------------------------------------------------------- */
/*                                //NOTE Footer                               */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */

/* Scroll Top immer rechts vom Inhalt nichts rechts absolut */



  .scroll-top.on {
    right: 10px;
        bottom: 1%;
  }


/* ------------------------- Fusszeile in Urzustand ------------------------- */

.wf-float-right {
  float: none;
}

#bottom-bar .wf-float-right {
  display: block;
  margin-left: 0;
}

#bottom-bar .wf-container-bottom {
  display: block;
}


/* -------------------------------------------------------------------------- */
/*                           //NOTE Responsive Ende                           */
/* -------------------------------------------------------------------------- */

@media (max-width: 599px) {
  h1,
  h2 {
    font-size: 2rem;
  }

  h3,
  h4,
  h5,
  h6 {
    font-size: 1.5rem;
  }
}

/* ---------------------------------- ENDE ---------------------------------- */
/* -------------------------------------------------------------------------- */
